if (!variable_global_exists("commandMap")) {
    global.commandMap = ds_map_create();
}

if (!variable_global_exists("helpMap")) {
    global.helpMap = ds_map_create();
}

ds_map_add(global.commandMap, 'pedestal', '
    if (argument1.object_index == -1) {
        var msg;
        msg = "OYou are dead!";

        if (argument1 == global.myself) {
            execute_string(global.addChatMessage, msg, 255, 0, argument1);
        } else {
            execute_string(global.sendChatMessage, msg, 255, 0, argument1);
        }
    } else if (argument1 != global.myself) {
        var msg;
        msg = "OOnly the host can place additional pedestals.";

        if (argument1 != global.myself) {
            execute_string(global.addChatMessage, msg, 255, 0, argument1);
        } else {
            execute_string(global.sendChatMessage, msg, 255, 0, argument1);
        }
    } else {
        var color, respawnTime;
        color = make_color_rgb(255, 127, 0);
        if (ds_list_size(argument0) >= 4) {
            color = make_color_rgb(real(string_digits(ds_list_find_value(argument0, 1))), real(string_digits(ds_list_find_value(argument0, 2))), real(string_digits(ds_list_find_value(argument0, 3))));
        }

        respawnTime = 0;
        if (ds_list_size(argument0) == 5) {
            respawnTime = real(string_digits(ds_list_find_value(argument0, 4))) * 30;
        }

        execute_string(PORTAL.SendPlacePedestal, argument1.object.x, argument1.object.y - 2, color, respawnTime);
    }
');
ds_map_add(global.helpMap, 'pedestal', 'Places a portal gun pedestal on the map. Use /pedestal [red] [green] [blue] [respawnTime]');

ds_map_add(global.commandMap, 'portalgun', '
    if (argument1.object_index == -1) {
        var msg;
        msg = "OYou are dead!";

        if (argument1 == global.myself) {
            execute_string(global.addChatMessage, msg, 255, 0, argument1);
        } else {
            execute_string(global.sendChatMessage, msg, 255, 0, argument1);
        }
    } else {
        var color;
        color = make_color_rgb(255, 127, 0);
        if (ds_list_size(argument0) == 4) {
            color = make_color_rgb(real(string_digits(ds_list_find_value(argument0, 1))), real(string_digits(ds_list_find_value(argument0, 2))), real(string_digits(ds_list_find_value(argument0, 3))));
        }

        execute_string(PORTAL.SendEquip, argument1, noone, color);
    }
');
ds_map_add(global.helpMap, 'portalgun', 'Equip a portalgun. Use /portalgun [red] [green] [blue]');